Package com.ocient.jdbc.proto

# Class ClientWireProtocol.ConfirmationResponse.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ConfirmationResponse.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.ConfirmationResponse.Builder

All Implemented Interfaces:
  `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `ClientWireProtocol.ConfirmationResponseOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.ConfirmationResponse

public static final class ClientWireProtocol.ConfirmationResponse.Builder extends GeneratedMessageV3.Builder<ClientWireProtocol.ConfirmationResponse.Builder> implements ClientWireProtocol.ConfirmationResponseOrBuilder
Protobuf type `xg.cmdcomp.ConfirmationResponse`

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.ConfirmationResponse`
`build()`
Constructs the message based on the state of the Builder.
`ClientWireProtocol.ConfirmationResponse`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`ClientWireProtocol.ConfirmationResponse.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`ClientWireProtocol.ConfirmationResponse.Builder`
`clearReason()`
`string reason = 2;`
`ClientWireProtocol.ConfirmationResponse.Builder`
`clearSqlState()`
`string sql_state = 3;`
`ClientWireProtocol.ConfirmationResponse.Builder`
`clearType()`
`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`
`ClientWireProtocol.ConfirmationResponse.Builder`
`clearVendorCode()`
`sfixed32 vendor_code = 4;`
`ClientWireProtocol.ConfirmationResponse`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`String`
`getReason()`
`string reason = 2;`
`ByteString`
`getReasonBytes()`
`string reason = 2;`
`String`
`getSqlState()`
`string sql_state = 3;`
`ByteString`
`getSqlStateBytes()`
`string sql_state = 3;`
`ClientWireProtocol.ConfirmationResponse.ResponseType`
`getType()`
`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`
`int`
`getTypeValue()`
`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`
`int`
`getVendorCode()`
`sfixed32 vendor_code = 4;`
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`ClientWireProtocol.ConfirmationResponse.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`ClientWireProtocol.ConfirmationResponse.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`ClientWireProtocol.ConfirmationResponse.Builder`
`mergeFrom(ClientWireProtocol.ConfirmationResponse other)`
`final ClientWireProtocol.ConfirmationResponse.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`ClientWireProtocol.ConfirmationResponse.Builder`
`setReason(String value)`
`string reason = 2;`
`ClientWireProtocol.ConfirmationResponse.Builder`
`setReasonBytes(ByteString value)`
`string reason = 2;`
`ClientWireProtocol.ConfirmationResponse.Builder`
`setSqlState(String value)`
`string sql_state = 3;`
`ClientWireProtocol.ConfirmationResponse.Builder`
`setSqlStateBytes(ByteString value)`
`string sql_state = 3;`
`ClientWireProtocol.ConfirmationResponse.Builder`
`setType(ClientWireProtocol.ConfirmationResponse.ResponseType value)`
`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`
`ClientWireProtocol.ConfirmationResponse.Builder`
`setTypeValue(int value)`
`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`
`final ClientWireProtocol.ConfirmationResponse.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.
`ClientWireProtocol.ConfirmationResponse.Builder`
`setVendorCode(int value)`
`sfixed32 vendor_code = 4;`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<ClientWireProtocol.ConfirmationResponse.Builder>`

### clear

public ClientWireProtocol.ConfirmationResponse.Builder clear()
Description copied from class: `GeneratedMessageV3.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessageV3.Builder<ClientWireProtocol.ConfirmationResponse.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessageV3.Builder<ClientWireProtocol.ConfirmationResponse.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.ConfirmationResponse getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public ClientWireProtocol.ConfirmationResponse build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public ClientWireProtocol.ConfirmationResponse buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public ClientWireProtocol.ConfirmationResponse.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.ConfirmationResponse.Builder>`

### mergeFrom

public ClientWireProtocol.ConfirmationResponse.Builder mergeFrom(ClientWireProtocol.ConfirmationResponse other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.Builder<ClientWireProtocol.ConfirmationResponse.Builder>`

### mergeFrom

public ClientWireProtocol.ConfirmationResponse.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.ConfirmationResponse.Builder>`
Throws:
  `InvalidProtocolBufferException` - the bytes read are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.
  `IOException` - an I/O error reading from the stream

### getTypeValue

public int getTypeValue()
`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`

Specified by:
  `getTypeValue` in interface `ClientWireProtocol.ConfirmationResponseOrBuilder`
Returns:
  The enum numeric value on the wire for type.

### setTypeValue

public ClientWireProtocol.ConfirmationResponse.Builder setTypeValue(int value)
`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`

Parameters:
  `value` - The enum numeric value on the wire for type to set.
Returns:
  This builder for chaining.

### getType

public ClientWireProtocol.ConfirmationResponse.ResponseType getType()
`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`

Specified by:
  `getType` in interface `ClientWireProtocol.ConfirmationResponseOrBuilder`
Returns:
  The type.

### setType

public ClientWireProtocol.ConfirmationResponse.Builder setType(ClientWireProtocol.ConfirmationResponse.ResponseType value)
`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`

Parameters:
  `value` - The type to set.
Returns:
  This builder for chaining.

### clearType

public ClientWireProtocol.ConfirmationResponse.Builder clearType()
`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`

Returns:
  This builder for chaining.

### getReason

public String getReason()
`string reason = 2;`

Specified by:
  `getReason` in interface `ClientWireProtocol.ConfirmationResponseOrBuilder`
Returns:
  The reason.

### getReasonBytes

public ByteString getReasonBytes()
`string reason = 2;`

Specified by:
  `getReasonBytes` in interface `ClientWireProtocol.ConfirmationResponseOrBuilder`
Returns:
  The bytes for reason.

### setReason

public ClientWireProtocol.ConfirmationResponse.Builder setReason(String value)
`string reason = 2;`

Parameters:
  `value` - The reason to set.
Returns:
  This builder for chaining.

### clearReason

public ClientWireProtocol.ConfirmationResponse.Builder clearReason()
`string reason = 2;`

Returns:
  This builder for chaining.

### setReasonBytes

public ClientWireProtocol.ConfirmationResponse.Builder setReasonBytes(ByteString value)
`string reason = 2;`

Parameters:
  `value` - The bytes for reason to set.
Returns:
  This builder for chaining.

### getSqlState

public String getSqlState()
`string sql_state = 3;`

Specified by:
  `getSqlState` in interface `ClientWireProtocol.ConfirmationResponseOrBuilder`
Returns:
  The sqlState.

### getSqlStateBytes

public ByteString getSqlStateBytes()
`string sql_state = 3;`

Specified by:
  `getSqlStateBytes` in interface `ClientWireProtocol.ConfirmationResponseOrBuilder`
Returns:
  The bytes for sqlState.

### setSqlState

public ClientWireProtocol.ConfirmationResponse.Builder setSqlState(String value)
`string sql_state = 3;`

Parameters:
  `value` - The sqlState to set.
Returns:
  This builder for chaining.

### clearSqlState

public ClientWireProtocol.ConfirmationResponse.Builder clearSqlState()
`string sql_state = 3;`

Returns:
  This builder for chaining.

### setSqlStateBytes

public ClientWireProtocol.ConfirmationResponse.Builder setSqlStateBytes(ByteString value)
`string sql_state = 3;`

Parameters:
  `value` - The bytes for sqlState to set.
Returns:
  This builder for chaining.

### getVendorCode

public int getVendorCode()
`sfixed32 vendor_code = 4;`

Specified by:
  `getVendorCode` in interface `ClientWireProtocol.ConfirmationResponseOrBuilder`
Returns:
  The vendorCode.

### setVendorCode

public ClientWireProtocol.ConfirmationResponse.Builder setVendorCode(int value)
`sfixed32 vendor_code = 4;`

Parameters:
  `value` - The vendorCode to set.
Returns:
  This builder for chaining.

### clearVendorCode

public ClientWireProtocol.ConfirmationResponse.Builder clearVendorCode()
`sfixed32 vendor_code = 4;`

Returns:
  This builder for chaining.

### setUnknownFields

public final ClientWireProtocol.ConfirmationResponse.Builder setUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessageV3.Builder<ClientWireProtocol.ConfirmationResponse.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.ConfirmationResponse.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessageV3.Builder<ClientWireProtocol.ConfirmationResponse.Builder>`